//
//  UIImage+Extension.swift
//  Gengmei
//
//  Created by 汪俊 on 2017/2/15.
//  Copyright © 2017年 更美互动信息科技有限公司. All rights reserved.
//

import Foundation

@objc public extension UIImage {
    
    /// 转为和屏幕scale一致的image
    func screenScaleImage() -> UIImage? {
        guard let imageData = self.pngData() else { return nil }
        guard let scaleImage = UIImage(data: imageData, scale: UIScreen.main.scale) else { return nil }
        return scaleImage
    }
}
